List available routes
GET
/api/v1/replay/routes
List all routes available as replay targets.
Routes are loaded from YAML pipeline configurations in config/pipelines/.
Each route has an inbound queue where replayed messages will be published.Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ”Responses
Section titled “ Responses ”Successful Response
RoutesListResponse
Response model for listing available routes.
object
routes
required
Routes
Available routes for replay
Array<object>
RouteInfoInformation about an available route.
object
route
required
Route
Route name
string
queue
required
Queue
Inbound queue for the route
string
source
required
Source
Config file that defines the route
string
total
required
Total
Total number of routes
integer
Validation Error
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context